Bug 235953 - multimedia/{ffmpeg,vlc}: enable AV1 support by default
Summary: multimedia/{ffmpeg,vlc}: enable AV1 support by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on: 234194
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-23 04:27 UTC by Jan Beich
Modified: 2019-09-26 00:36 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback+


Attachments
v0 (1.73 KB, patch)
2019-02-23 04:27 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-02-23 04:27:56 UTC
Created attachment 202282 [details]
v0

Chromium 70+ and Firefox 65+ support AV1*. Let's follow in ffmpeg and vlc, so users can download and watch content locally. As decoding is more important maybe DAV1D at first then AOM at a later date e.g., after the next major/minor release.

* https://caniuse.com/#feat=av1
Comment 1 commit-hook freebsd_committer 2019-03-04 19:50:18 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar  4 19:49:26 UTC 2019
New revision: 494638
URL: https://svnweb.freebsd.org/changeset/ports/494638

Log:
  multimedia/ffmpeg: enable DAV1D by default

  Let package users watch AV1 content in standalone players.

  PR:		235953

Changes:
  head/multimedia/ffmpeg/Makefile
  head/multimedia/vlc/Makefile
Comment 2 Thomas Zander freebsd_committer 2019-03-17 17:42:26 UTC
Jan, since this has landed already, can we close it? Or is there anything left to do?
Comment 3 Jan Beich freebsd_committer 2019-03-17 18:52:25 UTC
AV1 *en*coder is left. aom is the most complete and stable encoder compared to rav1e or SVT-AV1 but it only reached that point *after* 1.0.0. Enabling AOM option by default would imply frequent ffmpeg rebuilds due to aom updates. OTOH, ffmpeg had a lot of rebuilds recently due to ABI changes, so it may not be as bad as it seems. Going by libvpx history Google isn't particularly committed in maintaining standalone releases compared to whatever (snapshot) is bundled in Chromium (e.g., see mXY branches for Chromium XY milestones), so downstream sometimes have to patch vulnerabilities for months.
Comment 4 Jan Beich freebsd_committer 2019-03-17 19:06:48 UTC
(In reply to Jan Beich from comment #3)
> ... frequent ffmpeg rebuilds due to aom updates.

This is how poudriere works around inconsistent PORTREVISION bumps. If the package version of a runtime dependency changed then all consumer packages are obsoleted in a chain reaction. I often abort build and force rebuild of direct consumers only to reduce the churn.
Comment 5 commit-hook freebsd_committer 2019-09-26 00:31:45 UTC
A commit references this bug:

Author: jbeich
Date: Thu Sep 26 00:31:02 UTC 2019
New revision: 512870
URL: https://svnweb.freebsd.org/changeset/ports/512870

Log:
  multimedia/ffmpeg: enable AOM by default

  Chase Arch, Debian, Fedora, OpenBSD, PkgSrc. Other AV1 encoders aren't
  upstream yet, anyway.

  PR:		235953

Changes:
  head/multimedia/ffmpeg/Makefile
Comment 6 Jan Beich freebsd_committer 2019-09-26 00:36:53 UTC
multimedia/vlc is unlikely to have AV1 encoder until 4.0. I don't use VLC, so not sure how it handles decoder priority if both libdav1d and libaom are enabled.